<?php
date_default_timezone_set('America/Lima');

class cCajageneral_cst{

	
	function mostrar_filtrocondetalles($usu_id,$punven_id,$fec1,$fec2,$mon_id){
		$sql="SELECT * from tb_ventadetalle vd 
		inner join tb_venta v on vd.tb_venta_id = v.tb_venta_id	
		INNER JOIN tb_catalogo ct ON vd.tb_catalogo_id = ct.tb_catalogo_id
		INNER JOIN tb_producto p ON ct.tb_producto_id = p.tb_producto_id
		INNER JOIN tb_presentacion pr ON p.tb_presentacion_id = pr.tb_presentacion_id
		INNER JOIN tb_marca m ON vd.tb_marca_id = m.tb_marca_id
		INNER JOIN tb_categoria cg ON p.tb_categoria_id = cg.tb_categoria_id
		INNER JOIN tb_empaque em ON em.tb_empaque_id = p.tb_empaque_id
		
		INNER JOIN tb_puntoventa punven ON v.tb_puntoventa_id = punven.tb_puntoventa_id
		INNER JOIN tb_empresa emp ON punven.tb_empresa_id = emp.tb_empresa_id
		INNER JOIN tb_usuario usu ON v.tb_usuario_id = usu.tb_usuario_id
		WHERE  v.tb_venta_xac = 1 and v.tb_venta_est = '1'
		AND v.tb_venta_fec BETWEEN '$fec1' AND '$fec2' ";
		
	if($mon_id!=''){ $sql = $sql." AND v.tb_moneda_id = '$mon_id' "; }
	if($usu_id!=''){ $sql = $sql." AND v.tb_usuario_id = '$usu_id' "; }
	if($punven_id!=''){ $sql = $sql." AND punven.tb_puntoventa_id = '$punven_id' "; }
		
		$sql = $sql." ORDER BY v.tb_venta_fec ";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	

	function mostrar_filtrodevolucionescondetalles($usu_id,$punven_id,$fec1,$fec2,$mon_id){
		$sql="SELECT * 
		FROM tb_egreso e
        inner join tb_devolucioncliente de on de.tb_devolucioncliente_id = e.tb_egreso_modide
        inner join tb_devolucionclientedetalle dc on dc.tb_devolucioncliente_id = de.tb_devolucioncliente_id
		
		INNER JOIN tb_catalogo ct ON dc.tb_catalogo_id = ct.tb_catalogo_id
		
		INNER JOIN tb_producto p ON ct.tb_producto_id = p.tb_producto_id
		INNER JOIN tb_presentacion pr ON p.tb_presentacion_id = pr.tb_presentacion_id
		INNER JOIN tb_marca m ON dc.tb_marca_id = m.tb_marca_id
		INNER JOIN tb_categoria cg ON p.tb_categoria_id = cg.tb_categoria_id
		INNER JOIN tb_unidad un ON ct.tb_unidad_id = un.tb_unidad_id
        
		INNER JOIN tb_venta v ON v.tb_venta_id = de.tb_documentomod_id
		INNER JOIN tb_puntoventa punven ON v.tb_puntoventa_id = punven.tb_puntoventa_id
        INNER JOIN tb_empresa emp ON punven.tb_empresa_id = emp.tb_empresa_id
		INNER JOIN tb_usuario usu ON de.tb_devolucioncliente_usureg = usu.tb_usuario_id
        
		INNER JOIN tb_caja cj ON e.tb_caja_id = cj.tb_caja_id       
		INNER JOIN tb_cuenta c ON e.tb_cuenta_id = c.tb_cuenta_id
		LEFT JOIN tb_documento d ON e.tb_documento_id=d.tb_documento_id
		LEFT JOIN tb_subcuenta sc ON e.tb_subcuenta_id = sc.tb_subcuenta_id
		WHERE e.tb_egreso_xac=1 and e.tb_modulo_id = 20
			
		AND e.tb_egreso_fec BETWEEN '$fec1' AND '$fec2' ";
		
	if($mon_id!=''){ $sql = $sql." AND v.tb_moneda_id = '$mon_id' "; }
	if($usu_id!=''){ $sql = $sql." AND de.tb_devolucioncliente_usureg = '$usu_id' "; }
	if($punven_id!=''){ $sql = $sql." AND punven.tb_puntoventa_id = '$punven_id' "; }
		
		$sql = $sql." ORDER BY e.tb_egreso_fec ";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	

}
?>